For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar clientes
      • POSTCrear un cliente
      • GETObtener un cliente
      • PUTActualizar un cliente
LogoLogo
Referencia APICustomers

Actualizar un cliente

PUT
https://app.recurrente.com/api/customers/:id
PUT
/api/customers/:id
$curl -X PUT https://app.recurrente.com/api/customers/id \
> -H "X-SECRET-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "cus_abc123",
3 "user_id": "usr_xyz789",
4 "email": "cliente@ejemplo.com",
5 "name": "Maria Garcia",
6 "phone": "string",
7 "address": "string",
8 "nit": "string",
9 "metadata": {}
10}

Actualiza los datos de un cliente. La metadata se fusiona con la existente (deep merge). Para eliminar una key de metadata, envíala con valor null.

Was this page helpful?
Previous

Listar cupones

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Path parameters

idstringRequired
ID del cliente

Query parameters

user_idstringOptional

(Alternativa) Buscar por ID de usuario en lugar del ID de cliente

Request

This endpoint expects an object.
namestringOptional
Nuevo nombre del cliente
phonestringOptional

Número de teléfono

addressstringOptional

Dirección

nitstringOptional

Número de identificación tributaria

metadatamap from strings to anyOptional

Metadata a fusionar. Envía una key con valor null para eliminarla.

Response

Cliente actualizado
idstring

ID único del cliente

user_idstring
ID del usuario asociado
emailstringformat: "email"
Email del cliente
namestring
Nombre del cliente
phonestring or null

Número de teléfono

addressstring or null

Dirección

nitstring or null

Número de identificación tributaria

metadatamap from strings to any or null
Metadata personalizada

Errors

400
Bad Request Error